EDIT - feature request #8585

Factual Data View: new DesctiptionElements shoud be selected immediately
10/11/2019 11:39 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.16

Severity: normal

Description

After creating a new factual data entry (DescriptionElement) in the Factual Data View the new entry should be activated so that the
Details-View is ready for data entry. Currently it is required to

1. Toggle the feature Set open
2. Select the new entry

Related issues:
Related to EDIT - bug #8949: Open new fact in factual data view and set focus... New

Associated revisions

Revision b3860b27 - 06/29/2020 01:22 PM - Katja Luther

set selection after facts creation

Revision a936868b - 06/29/2020 01:52 PM - Katja Luther

ref #8585: remove not necessary method

History

#1 - 10/11/2019 03:44 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

| am sure there is a duplicate ticket for this already. Can you please check.

#2 - 06/29/2020 01:24 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Unassigned CDM tickets to Release 5.18

this is fixed. Please review.

#3 - 06/29/2020 01:24 PM - Katja Luther

- Related to bug #8949: Open new fact in factual data view and set focus to main field in details view. added

#4 - 06/29/2020 01:25 PM - Katja Luther

Andreas Muller wrote:

| am sure there is a duplicate ticket for this already. Can you please check.

I only found #8949, but this ticket is about the focus in details view.

#5 - 06/29/2020 02:03 PM - Andreas Miiller
Katja Luther wrote:

Andreas Muller wrote:

| am sure there is a duplicate ticket for this already. Can you please check.
https://dev.e-taxonomy.eu/redmine/issues/8949

| only found #8949, but this ticket is about the focus in details view.

The first part of #8949 is a duplicate for this (#8585) ticket, | guess, as it says "Open new fact in factual data view". Only the second part is about
setting the focus in the details view. Maybe we should reduce #8949 to be only about setting the focus in details view.

#6 - 06/30/2020 03:26 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.16

#7 - 06/30/2020 04:14 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 100

This works very well know. Nice new workflow improvement.
